Subject: Re: bug#38785: 26.3; `y-or-n-p' leaves prompt and response in echo area

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Dec 2019 16:06:15 +0200

> From: Andreas Schwab <[email-masked]>
> Date: Sun, 29 Dec 2019 09:58:24 +0100
> Cc: [email-masked]
> 
> On Dez 28 2019, Drew Adams wrote:
> 
> > I think `y-or-n-p' should probably just use `(sit-for 1)'
> > after it shows the prompt + answer,
> 
> That would always delay the caller of y-or-n-p by one second.  I'm
> pretty sure that would be highly annoying.

Yes.  And besides, this area underwent significant changes since Emacs
26.3, so I suggest to try the latest emacs-27 branch before continuing
the discussion.